What is PICVideo M-JPEG Codec v4?

PICVideo M-JPEG v4 | Accusoft Pegasus
What is PICVideo M-JPEG Codec v4?
See Also Send Feedback |
PICVideo M-JPEG v4 > Introduction > What is PICVideo M-JPEG Codec v4?

Glossary Item Box

PICVideo M-JPEG v4 is a Motion-JPEG codec (compressor/decompressor) for viewing and saving files in the Motion-JPEG format. It is supported by both Video for Windows (VfW) and DirectShow.

Separate 32-bit and 64-bit codecs are available. Windows applications may require either a 32-bit or 64-bit version, so it's important to know which one your application requires. If you are running a 64-bit version of Windows and you are using a 64-bit application to view or edit videos, then you will need the 64-bit codec. If you need to view M-JPEG files but you don't need to compress and save files in this format, you can purchase the decompressor only (in either 32-bit or 64-bit).

The Motion-JPEG compression method is often used within AVI video files that are created by digital cameras in video mode, or when each frame of the video must contain all of the image information needed to reconstruct the frame. This makes M-JPEG ideal for video editing applications where you may want to edit frames independently. It also enables rapid compression and extraction of each separate image in each video frame.

Most other compression methods, such as MPEG-1 and MPEG-4, use interframe encoding, which results in smaller file sizes, but each frame then relies on previous and following frames for decoding.

For more information on this and other PICVideo codecs, please visit: www.accusoft.com/PICVideo.

See Also

What's New in Version 4?

©2009. Pegasus Imaging Corporation, DBA Accusoft Pegasus. All Rights Reserved.


What's New in Version 4?
See Also Send Feedback |
PICVideo M-JPEG v4 > Introduction > What's New in Version 4?

Glossary Item Box

What's New in Version 4?

PICVideo™ is the fastest M-JPEG codec available, and is perfect for viewing Motion-JPEG files and for high-quality compression when video editing. It offers incredibly high-speed compression and decompression of M-JPEG streams.

Show New Features

  • 64-bit M-JPEG codec
  • Support for the Windows Vista operating system

Show Supported Video Colorspaces

  • RGB8 (grayscale only)
  • RGB555
  • RGB565
  • RGB24
  • RGB32
  • UYVY
  • YUY2
  • I420/IYUV
  • YV12

Show Supported Features

Quality & Compression Settings

Provides full control over compression rate and image quality, including precise control over luminance (brightness) quality, chrominance (hue) quality, subsampling, and interleaving.

Adjust Brightness & Contrast During Playback

PICVideo lets you adjust the contrast and brightness of video streams during playback. If a video is too dark or doesn’t have enough contrast, you can adjust it on-the-fly, similar to the way you adjust a television.

Choose Interleave Field Order

PICVideo offers the option to set the field order of interleaved frames: the odd or even field can start first. This can be set separately for compression and decompression.

Correct YUV Encoding

PICVideo corrects widespread misuse of the YUV video colorspace by correcting the chrominance and luminance ranges. Many codecs have been encoding YUV videos incorrectly. PICVideo encodes these videos correctly, resulting in sharper, crisper colors.

New YV12 and IYUV/I420 Support

PICVideo encodes and decodes YV12 and IYUV/I420 colorspaces. The codec will report at runtime in Video for Windows and DirectShow that YV12 and IYUV/I420 are supported formats for both compression and playback.

Patented, Advanced Deblocking of Highly Compressed Video

Pegasus Imaging’s patented deblocking technology removes JPEG compression blocks on highly compressed video. PICVideo users can enable JPEG deblocking on playback to improve quality. PICVideo is the only video codec that provides this smoothing of highly compressed M-JPEG videos. This unique feature allows higher compression with less image distortion.

Restores Improperly Encoded YUV Videos During Playback

Videos that currently appear washed out with less contrast will have their contrast correctly restored.

Show Purchase & Register PICVideo

The following licenses are available to meet your specific needs:

  • 32-bit Decompressor
  • 64-bit Decompressor
  • 32-bit Compressor & Decompressor
  • 64-bit Compressor & Decompressor

See Also

Purchase a PICVideo M-JPEG License


Pegasus Imaging Corporation DBA Accusoft Pegasus

PICVideo M-JPEG v4 | Accusoft Pegasus
Pegasus Imaging Corporation DBA Accusoft Pegasus
Send Feedback |
PICVideo M-JPEG v4 > Introduction > Pegasus Imaging Corporation DBA Accusoft Pegasus

Glossary Item Box

Accusoft Pegasus is the largest single source provider of imaging software development kits (SDKs) and image viewers. Features include barcode, compression, DICOM, editing, forms processing, OCR, PDF, scanning, video, and viewing. Technology is delivered for multiple platforms and development environments.

Whether you’re building new applications or enhancing existing workflows, Accusoft Pegasus Software Development Kits (SDKs) get you there faster. Our mission is to help you seamlessly and quickly integrate superior imaging functionality into your application. We provide very generous support from our software engineers, unlimited downloads and trial licensing that won’t time out, and full access to all product features prior to purchase. When you need imaging, we've got your code.

Visit www.accusoft.com for full product descriptions, FAQ's, downloads, demos, and contact information.

Accusoft Pegasus
4001 North Riverside Drive
Tampa, FL 33603
Sales: 813-875-7575

Copyrights & Trademarks

Accusoft, ColorDrop, ColorEnhance, ColorFind, ColorForms, CompressDirector, Digital Mark Recognition (DMR), FormFix, Image Detergent, ImageGear, ImagXpress, NetVue, ScanFix, Pegasus, Prizm, ViewDirector, Virtual Scoring Center (VSC), and the Pegasus Horse Logo are registered marks (®) of Pegasus Imaging Corporation, DBA Accusoft Pegasus.

Barcode Xpress, CapturePRO, FilePrinter, FormAssist, FormDirector, FormSuite, ISIS Xpress, The JPEG Wizard, MICR Xpress, MedXpress, NotateXpress, OCR Xpress, PDF Xpress, PICTools, ePIC, PICVideo, PrintPRO, SmartScan Xpress, SmartZone, ThumbnailXpress, TwainPRO and the Accusoft Pegasus Logo, are trademarks (™) of Accusoft Pegasus.

Accusoft Pegasus and/or its agents use these marks and brand names in connection with its goods and/or services, in the United States and other countries. Information in this document is subject to change without notice. No part of this document may be reproduced or transmitted in any form or by any means, electronic or mechanical, for any purpose, without the express written permission of Accusoft Pegasus.

Microsoft, Microsoft.NET, Silverlight, Visual Basic, Visual Studio and Visual Studio.NET are trademarks of Microsoft Corporation in the USA and/or other countries. All other product and brand names are the property of their respective owners.


PICVideo M-JPEG in Trial Mode

PICVideo M-JPEG v4 | Accusoft Pegasus
PICVideo M-JPEG in Trial Mode
See Also Send Feedback |
PICVideo M-JPEG v4 > Licensing > PICVideo M-JPEG in Trial Mode

Glossary Item Box

PICVideo™ M-JPEG in Trial Mode

This topic discusses both decompressor and compressor trial mode behavior.

Decompressor Trial Behavior

In some cases, third-party companies include the trial version of our PICVideo M-JPEG v4 codec in with their software to support viewing M-JPEG videos. In these cases, when you open a video file in Windows Media Player, PICVideo M-JPEG v4 is launched in trial mode and the following dialog box is displayed:

Click to Enlarge Click to Enlarge

A Buy Now button is provided which allows you to purchase a licensed version of PICVideo M-JPEG v4 from our secure website. For more information on purchasing a license, refer to the topic Purchase a PICVideo M-JPEG License.

The trial dialog box will remain open and not allow you to click Continue for a period of time (approximately 5 seconds plus the number of seconds equal to the number of times PICVideo M-JPEG v4 has been used previously). For example, if PICVideo has been used 3 times before, the Continue button will not be available to click for approximately 8 seconds.

Compressor Trial Behavior

In trial mode, you will be able to adjust compression settings. When you attempt to compress and save the M-JPEG file, you will be prompted with a warning that your video will be permanently branded with a trial mode watermark. If you choose to proceed with compressing and saving the M-JPEG file in trial mode, your video will be permanently watermarked.

If you want to be able to compress and save your M-JPEG file without a permanent watermark, you will need to purchase a license. For more information on purchasing a license, refer to the topic Purchase a PICVideo M-JPEG License.

Uninstalling the Trial Version

If you want to uninstall the trial version of PICVideo, refer to the topic Uninstall PICVideo M-JPEG.

See Also

Purchase a PICVideo M-JPEG License


Purchase a PICVideo M-JPEG License

PICVideo M-JPEG v4 | Accusoft Pegasus
Purchase a PICVideo M-JPEG License
See Also Send Feedback |
PICVideo M-JPEG v4 > Licensing > Purchase a PICVideo M-JPEG License

Glossary Item Box

Purchase a PICVideo™ M-JPEG License

PICVideo™ M-JPEG is both a video compressor and a video decompressor. Accusoft Pegasus provides you with the ability to purchase any of the following licenses to meet your specific needs:

  • 32-bit Decompressor
  • 64-bit Decompressor
  • 32-bit Compressor & Decompressor
  • 64-bit Compressor & Decompressor

A separate license is required for the 32-bit codec and the 64-bit codec.

To Purchase a License

To purchase a license, use the following steps:

  1. Open one of your video files (for example, in Windows Media Player).
  2. The following dialog box is displayed:

    Click to Enlarge Click to Enlarge
  3. Click Buy Now. You will be taken directly to the PICVideo page on our secure website.
  4. Click Buy Now again. The Pricing page is displayed.
  5. Under the section, "For Home Use", click Special Offer for Home Use Only. The Home Use Offer page is displayed.

    To use the Home Edition of the PICVideo M-JPEG Codec, the following conditions MUST apply:

    • Limit 1 copy per user
    • Not for any business purpose
    • Not for distribution or resale
  6. Select the PICVideo M-JPEG Codec v4 (32-bit or 64-bit) based on your application.
    If you are viewing/editing video files with a 32-bit application, purchase the 32-bit codec. If you are viewing/editing video files with a 64-bit application, purchase the 64-bit codec.
  7. Type Yes in the text box and then click Submit. The Product Registration Form is displayed.
  8. Enter all of the required information on the Product Registration Form and then click Submit.
    After you click Submit, an Accusoft Pegasus Software Registration email will be sent to the email address you entered on the Product Registration Form. You will need the Serial Number and Registration Code contained in this email for registering your product.
  9. Follow the instructions in the email for installing PICVideo M-JPEG v4.
  10. Once your installation is complete, you will need to register your product.
  11. To register your product, follow the steps in the topic: Entering Your License Codes.

    If you have questions about the installation process, refer to the PICVideo M-JPEG FAQ section on our website.

See Also

Entering Your License Codes
Configure the PICVideo M-JPEG Codec
Select Decompression Settings
Select Compression Settings


Entering Your License Codes
Send Feedback |
PICVideo M-JPEG v4 > Licensing > Entering Your License Codes

Glossary Item Box

Entering Your License Codes

Until the proper license codes are entered on the Configuration screen, PICVideo will continue to operate in Trial Mode. PICVideo is licensed using the Video Codec Configuration Tool. This topic guides you through entering your license codes on either Windows XP or Windows Vista.

From the Start | All Programs | Accusoft menu, you may see two Video Codec Configuration Tool items displayed (32-bit and 64-bit). Based on the PICVideo v4 codec you purchased, select the corresponding Video Codec Configuration Tool (if you purchased the 32-bit codec, select the 32-bit Configuration Tool or if you purchased the 64-bit codec, select the 64-bit Configuration tool). (For demonstration purposes, the following steps are based on the 32-bit Configuration Tool being selected.)

Using Windows XP

To enter your license codes, you need to run the Video Codec Configuration Tool as an Administrator.
  1. To open the Video Codec Configuration Tool, go to the Start menu and select All Programs | Accusoft | PICVideo 4 | Video Codec Configuration Tool (either the 32-bit or 64-bit version based on the PICVideo codec you purchased). Continue with Step 2 below (under the heading "Using Windows Vista").

Using Windows Vista

The default configuration of Windows Vista has User Access Controls (UAC) enabled. To make changes to codec settings, including licensing your codecs, you need to run the Video Codec Configuration Tool as an Administrator.

  1. To open the Video Codec Configuration Tool, go to the Start menu and select All Programs | Accusoft | PICVideo 4, then right-click Video Codec Configuration Tool (either the 32-bit or 64-bit version based on the PICVideo codec you purchased) and click Run as administrator.

    Click to Enlarge Click to Enlarge
  2. The Configure PICVideo M-JPEG 4 (32-bit or 64-bit) dialog box displays:

    Click to Enlarge Click to Enlarge
  3. Enter the Serial Number and Registration Code (provided to you via the Accusoft Pegasus Software Registration email when you purchased PICVideo v4).
  4. Click OK. Accusoft Pegasus' Video Codec Configuration Tool dialog box is displayed.
  5. Click Exit to complete your registration.

    Once you have entered the proper license codes, the next time you run the configuration tool, the Registration Type field will display either Decompressor (for viewing only) or Compressor and Decompressor (for viewing and saving video files).

    If you purchased the Decompressor license only, the Registration Code and Serial Number fields will remain enabled allowing you to purchase the Compressor/Decompressor license in the future if desired. If you purchase the Compressor/Decompressor license, simply enter the new Registration Code and Serial Number. The next time you open the Configuration Tool, the fields will then be disabled.

    For questions about the registration process, refer to the PICVideo M-JPEG FAQ section on our website.


Licensing PICVideo for use with OEM Products

PICVideo M-JPEG v4 | Accusoft Pegasus
Licensing PICVideo for use with OEM Products
Send Feedback |
PICVideo M-JPEG v4 > Licensing > Licensing PICVideo for use with OEM Products

Glossary Item Box

Licensing PICVideo™ for use with OEM Products

Commercial Licensing for OEMs, ISVs, and VARs

If your company delivers video viewing or editing software for Windows, you can license PICVideo codecs for distribution with your products. We also have solutions for Linux, Unix, MAC, AIX, and Solaris. With proper licensing agreements, you can distribute PICVideo codecs with your viewing, editing, and other solutions. PICVideo is widely used in surveillance systems, video servers, and medical video applications.

The PICVideo Filtergraph Software Development Kit (SDK) enables developers to include our codecs with their applications. A distribution licensing agreement is required before deployment.

Please contact sales@accusoft.com for details.


Software License Agreement
PICVideo M-JPEG v4 > Licensing > Software License Agreement

Glossary Item Box

Software License Agreement

Pegasus Imaging Corporation DBA Accusoft Pegasus (PIC) Software License

PICVideo™

IMPORTANT - YOU SHOULD CAREFULLY READ THE FOLLOWING TERMS AND CONDITIONS BEFORE USING THIS PACKAGE. USE OF THIS PACKAGE INDICATES YOUR ACCEPTANCE OF THESE TERMS AND CONDITIONS. THIS AGREEMENT CONSTITUTES THE COMPLETE AND EXCLUSIVE STATEMENT OF THE AGREEMENT BETWEEN YOU ("LICENSEE") AND PEGASUS IMAGING CORPORATION DBA Accusoft Pegasus (PIC) WHICH SUPERSEDES ANY PROPOSAL OR PRIOR AGREEMENT, ORAL OR WRITTEN, AND ANY OTHER COMMUNICATION RELATING TO THE SUBJECT MATTER OF THIS AGREEMENT.

GRANT OF LICENSE.

PIC grants to you the right to use one copy of the PICVideo imaging software program (the "SOFTWARE") on a single terminal connected to a single computer (i.e. with a single CPU). You may not network the SOFTWARE or otherwise use it on more than one computer or computer terminal at the same time.

OWNERSHIP.

The SOFTWARE is owned by PIC or its suppliers and is protected by United States copyright laws and international treaty provisions. Therefore, you must treat the SOFTWARE like any other copyrighted material (i.e. a book or musical recording) except that you may either (a) make one copy of the SOFTWARE solely for backup or archival purposes, or (b) transfer the SOFTWARE to a single hard disk provided you keep the original solely for backup or archival purposes. You may not copy the written materials accompanying the software.

OTHER RESTRICTIONS.

You may not rent or lease the SOFTWARE, but you may transfer the SOFTWARE and accompanying written materials on a permanent basis provided you retain no copies and the recipient agrees to the terms of this Agreement. You may not reverse engineer, decompile, or disassemble the SOFTWARE. If SOFTWARE is an update, any transfer must include the update and all prior versions.

LIMITED WARRANTY

LIMITED WARRANTY.

PIC warrants that (a) the SOFTWARE will perform substantially in accordance with the accompanying written materials for a period of 90 days from the date of receipt. Any implied warranties on the SOFTWARE are limited to 90 days. Some states do not allow limitations on duration of an implied warranty, so the above limitation may not apply to you.

CUSTOMER REMEDIES.

PIC's entire liability and your exclusive remedy shall be, at PIC's option, either (a) return of the price paid or (b) repair or replacement of the SOFTWARE that does not meet PIC's Limited Warranty and which is returned to PIC with a copy of your receipt. This Limited Warranty is void if failure of the SOFTWARE has resulted from accident, abuse, or misapplication. Any replacement SOFTWARE will be warranted for the remainder of the original warranty period or 30 days, whichever is longer.

NO OTHER WARRANTIES.

PIC disclaims all other warranties, either express or implied, including but not limited to implied warranties of merchantability and fitness for a particular purpose, with respect to the SOFTWARE, the accompanying written materials, and any accompanying hardware. This limited warranty gives you specific legal rights. You may have others, which vary from state to state.

NO LIABILITY FOR CONSEQUENTIAL DAMAGES.

In no event shall PIC or its suppliers be liable for any damages whatsoever (including, without limitation, damages for loss of business profits, business interruption, loss of business information, or other pecuniary loss) arising out of the use of or inability to use this PIC product, even if PIC has been advised of the possibility of such damages. Because some states do not allow the exclusion or limitation of liability for consequential or incidental damages, the above limitation may not apply to you.

U.S. GOVERNMENT RESTRICTED RIGHTS

U.S. Government Restricted Rights: The Software and documentation are provided with RESTRICTED RIGHTS. Use, duplication, or disclosure by the Government is subject to restrictions as set forth in subparagraph (c)(1)(ii) of the Rights in Technical Data and Computer Software clause at DFAR 252.227-7013 or subparagraph (c)(1) and (2) of the Commercial Computer Software - Restricted Rights at 48 CFR 52.227-19 of FAR, or Clause 18 52.277-86(d) of NASA Supplement to the FAR, as applicable. Manufacturer is Pegasus Imaging Corporation DBA Accusoft Pegasus, 4001 North Riverside Drive, Tampa, Florida 33603.


Configure the PICVideo M-JPEG Codec

PICVideo M-JPEG v4 | Accusoft Pegasus
Configure the PICVideo M-JPEG Codec
See Also Send Feedback |
PICVideo M-JPEG v4 > How To > Configure the PICVideo M-JPEG Codec

Glossary Item Box

Configure the PICVideo™ M-JPEG Codec

To change the settings for the 32-bit codec, use the 32-bit Configuration Tool. To change the settings for the 64-bit codec, use the 64-bit Configuration Tool.

To configure the PICVideo M-JPEG Codec, open the Video Codec Configuration Tool:

  1. From the Start menu, select All Programs and then click Accusoft.
  2. Open the PICVideo 4 folder and click the Video Codec Configuration Tool. The Configure PICVideo M-JPEG 4 (32-bit or 64-bit) dialog box displays:

    Click to Enlarge Click to Enlarge
  3. In the Configure PICVideo M-JPEG v4 dialog box, you can:
  • Select Decompression Settings,
  • Select Compression Settings,
  • Purchase a License,
  • Enter a Serial Number and Registration Code to license the codec,
  • Make PICVideo your primary M-JPEG codec - If you have two or more codecs installed that use this compression method, then select the Make Primary M-JPEG Codec check box to ensure PICVideo will be used.
  4. When you have completed your selections, click OK. Accusoft Pegasus' Video Codec Configuration Tool dialog box displays:

    Click to Enlarge Click to Enlarge
  5. Use the Video Codec Configuration Tool to configure all video codecs that are installed and available for Video for Windows.
  6. Click Exit to complete your configuration.

See Also

Select Decompression Settings
Select Compression Settings


Select Decompression Settings
PICVideo M-JPEG v4 > How To > Select Decompression Settings

Glossary Item Box

Select Decompression Settings

Select the following settings from the Configure PICVideo M-JPEG 4 dialog box:

  • Brightness
  • Contrast
  • Enable Codec
  • Advanced Deblocking
  • Assume Normalized YUV
  • Swap Fields
  • Force YUV Output

Click to Enlarge Click to Enlarge


Brightness
PICVideo M-JPEG v4 > How To > Select Decompression Settings > Brightness

Glossary Item Box

Brightness

This setting lets you control the brightness of the video during playback. Similar to adjusting a computer monitor or a TV, adjusting the brightness lower (toward -100) produces a darker video and adjusting the brightness higher (toward 100) produces a lighter video during playback. If you adjust the brightness too low, then the video will appear too dark and lose visual details. If you adjust the brightness too high, then the video will be too light and appear faded or washed out.

After adjusting the brightness, click OK or Apply to see the change.

Range: -100 to 100

Default: 0


Contrast
PICVideo M-JPEG v4 > How To > Select Decompression Settings > Contrast

Glossary Item Box

Contrast

This setting lets you control the contrast of the video during playback. Similar to adjusting a computer monitor or a TV, adjusting the contrast lower (toward -100) produces a video with less distinct color brightness (a faded look) and adjusting the contrast higher (toward 100) produces a video with intense color and brightness (a shiny look) during playback.

Contrast is determined by the difference in the color and brightness of the object(s) in view.

After adjusting the contrast, click OK or Apply to see the change.

Range: -100 to 100

Default: 0


Enable Codec
PICVideo M-JPEG v4 > How To > Select Decompression Settings > Enable Codec

Glossary Item Box

Enable Codec

This setting lets you enable or disable the codec on your computer.

Range: true, false

Default: checked (true)


Advanced Deblocking
PICVideo M-JPEG v4 > How To > Select Decompression Settings > Advanced Deblocking

Glossary Item Box

Advanced Deblocking

This Pegasus Imaging Corporation patented technology visibly improves the appearance of highly compressed video by reducing the blockiness and “jaggies” that would show up when using standard JPEG decompression.

On a Pentium III and better, PICVideo will use optimized code improve the performance. On a slower machine, performance may be affected, depending on frame size and frame rate.

Range: true, false

Default: unchecked (false)


Assume Normalized YUV
PICVideo M-JPEG v4 > How To > Select Decompression Settings > Assume Normalized YUV

Glossary Item Box

Assume Normalized YUV

This setting lets you control how images are decoded during playback to the RGB or YUV colorspaces.

If the video was created with PICVideo M-JPEG v3 or later, the codec will assume the frame was encoded correctly regardless of the Assume Normalized YUV setting.

If the Assume Normalized YUV check box is checked, that setting indicates that the frame was originally encoded from RGB input or was originally encoded correctly from YUV, and no compensation will be applied. Otherwise, if the Assume Normalized YUV check box is not checked, the codec will assume the frame was originally encoded incorrectly from YUV input, and the codec will compensate during decompression so the output to YUV is correct and the output to RGB has the correct brightness.

Range: true, false

Default: unchecked (false)


Swap Fields
PICVideo M-JPEG v4 > How To > Select Decompression Settings > Swap Fields

Glossary Item Box

Swap Fields

This setting controls the order of the fields as they are decompressed: the first field becomes the second field and vice versa.

A field contains all of the odd numbered lines of the frame or all of the even numbered lines of the frame. If the field order is incorrect, then moving object edges can appear jagged. In addition, alternate pixel rows (of some of the frame) may have different brightness, which makes these parts look striped.

If the frames in the stream are not interleaved, then this setting has no effect.

Range: true, false

Default: unchecked (false)


Force YUV Output
PICVideo M-JPEG v4 > How To > Select Decompression Settings > Force YUV Output

Glossary Item Box

Force YUV Output

This setting controls the colorspaces supported during decompression. When checked, only YUV colorspaces are supported during decompression. Depending on the application, there are times when this is desirable for performance reasons to prevent unnecessary colorspace conversions.

This option applies to older display cards and normally, does not need to be checked.

Range: true, false

Default: unchecked (false)


Select Compression Settings
PICVideo M-JPEG v4 > How To > Select Compression Settings

Glossary Item Box

Select Compression Settings

Select the following settings from the Configure PICVideo M-JPEG 4 dialog box:

  • Compression/Quality
  • Luminance Quality
  • Chrominance Quality
  • 2 Fields If More Than N Lines
  • Swap Fields
  • Encode Normalized YUV
  • Subsampling

Click to Enlarge Click to Enlarge


Compression/Quality
PICVideo M-JPEG v4 > How To > Select Compression Settings > Compression/Quality

Glossary Item Box

Compression/Quality

This setting lets you determine whether you want to favor compression or quality in your video. It does this by adjusting the tradeoff between file size (more quality results in larger files) and image quality (more compression results in blockier images).

The quality setting ranges from 1 (best compression, least image quality) to 20 (least compression, best image quality). The default setting of 16 results in good compression without sacrificing quality for most applications. Each of the 20 quality settings is actually a combination of settings for luminance, chrominance, and subsampling, and for each setting, the subsampling is fixed at 4:2:2.

Alternatively, the Luminance Quality, Chrominance Quality, and Subsampling values may be explicitly set via the provided controls.

Range: 1 to 20

Default: 16


Luminance Quality
PICVideo M-JPEG v4 > How To > Select Compression Settings > Luminance Quality

Glossary Item Box

Luminance Quality

This setting adjusts the luminance compression setting, which ranges from 0 to 255. A setting of 0 is a near lossless compression of the luminance component of the image data. The luminance component can be thought of as the brightness or grayscale component of the image.

Changes in Luminance Quality are more noticeable than changes in Chrominance Quality. This setting, together with Chrominance Quality and Subsampling, controls the compression ratio and the image quality.

Range: 0 to 255

Default: 20


Chrominance Quality
PICVideo M-JPEG v4 > How To > Select Compression Settings > Chrominance Quality

Glossary Item Box

Chrominance Quality

This setting adjusts the chrominance compression setting, which ranges from 0 to 255. Chrominance can be thought of as the color information of the image. A setting of 0 is a near lossless compression of the image data color information.

Changes in Chrominance Quality are less noticeable than changes in Luminance Quality. This setting, together with Luminance Quality and Subsampling, controls the compression ratio and the image quality.

Range: 0 to 255

Default: 22


2 Fields If More Than N Lines
PICVideo M-JPEG v4 > How To > Select Compression Settings > 2 Fields If More Than N Lines

Glossary Item Box

2 Fields If More Than N Lines

This setting controls whether or not the frame is split into two fields when being compressed into the stream. This feature is important to create M-JPEG streams compatible with older hardware decompressors that do not support interleaving. The edit box allows you to specify the number of scanlines above which the frame will be split into two fields. Unchecking the box disables interleaving and all the interleaving UI.

Best results will be obtained by understanding whether or not the capture device used interleaving, and setting this parameter to emulate the approach taken by the capture device.

Range: 0 to 32767 lines

Default: checked (true), 240 lines


Swap Fields
PICVideo M-JPEG v4 > How To > Select Compression Settings > Swap Fields

Glossary Item Box

Swap Fields

This setting controls the order of the fields as they are compressed into the stream: the first field becomes the second field and vice versa. This setting is disabled if interleaving is disabled.

A field contains all of the odd numbered lines of the frame or all of the even numbered lines of the frame. If the field order is incorrect, then moving object edges can appear jagged. In addition, alternate pixel rows (of some of the frame) may have different brightness, which makes these parts look striped.

This setting is only necessary if the video will be decompressed with a codec that decompresses with the wrong field order and does not support swapping fields.

Range: true, false

Default: unchecked (false)


Encode Normalized YUV
PICVideo M-JPEG v4 > How To > Select Compression Settings > Encode Normalized YUV

Glossary Item Box

Encode Normalized YUV

This setting controls how YUV input to the compressor is encoded. Many M-JPEG codecs (including versions of PICVideo prior to v3) have treated YUV input to the compressor as though luminance and chrominance values are in the range of 0 to 255.

However, the actual YUV input to the compressor has luminance and chrominance values which are in the range 16 to 235 and 16 to 240 respectively.

The result of encoding YUV incorrectly is that the resulting video can look washed out and undersaturated.

By enabling this setting, PICVideo will correctly encode normalized YUV and will also add a “PICAVI” APP1 marker to each frame or field, marking the frame or field as properly encoded.

If this setting is not enabled, RGB will be encoded correctly during compression but YUV will not be encoded correctly and the “PICAVI” APP1 marker will not be written to each frame or field.

Range: true, false

Default: checked (true)


Subsampling
PICVideo M-JPEG v4 > How To > Select Compression Settings > Subsampling

Glossary Item Box

Subsampling

This setting controls how subsampling is performed when converting RGB input to YUV for compression. If the incoming frames are already in the YUV colorspace, they are already subsampled and this setting generally has no effect, although UYVY and YUY2 can be further subsampled to 4:2:0.

When converting to the YUV colorspace, you can take advantage of the observation that human vision is less sensitive to chrominance (color made up of U and V) changes than to luminance (brightness) changes. As a result, you can subsample (average, essentially) the chrominance values of adjacent pixels and store only the resultant value.

Chrominance subsampling uses an odd notation consisting of three digits separated by colons, with the first number (almost) always being 4. The second digit is the horizontal chrominance subsampling factor, and the final digit is the vertical chrominance subsampling factor.

1:1:1 subsampling (also called 4:4:4 subsampling) is actually no subsampling: for each pixel, one luminance value and one each of U and V are stored.

4:2:2 subsampling is horizontal subsampling: for every two adjacent horizontal pixels, two luminance values are stored and one each of U and V (subsampled from the respective component values for the two adjacent horizontal pixels) is stored.

4:2:0 subsampling is horizontal and vertical subsampling and a bit more complicated: for every square block of four pixels, four luminance values are stored and one each of U and V value (subsampled from the respective component values of all four pixels in the square block) is stored.

This setting, together with Luminance and Chrominance, controls the compression ratio and the image quality.

Range: 1:1:1, 4:2:2, or 4:2:0

Default: 4:2:2


Uninstall PICVideo M-JPEG

PICVideo M-JPEG v4 | Accusoft Pegasus
Uninstall PICVideo M-JPEG
Send Feedback |
PICVideo M-JPEG v4 > How To > Uninstall PICVideo M-JPEG

Glossary Item Box

Uninstall PICVideo™ M-JPEG

To uninstall PICVideo M-JPEG v4 from a Windows operating system:

  1. Go to the Start menu, Control Panel, Programs/Uninstall a Program.
  2. You will be presented with a list of all programs found in the Programs directory.
  3. Select Accusoft PICVideo Motion JPEG 4.0 from the list.
  4. Run the uninstaller, then restart the computer.
  5. Search for and verify that the following files do not exist on your system (if they do, delete them):
  • For 32-bit: pvmjpg40.dll, pvmjpg40.chm
  • For 64-bit: pvmjpgx40.dll, pvmjpg40.dll, pvmjpg40.chm

If you have questions about the uninstall process, refer to the PICVideo M-JPEG FAQ section on our website.


Glossary

PICVideo M-JPEG v4 Accusoft Pegasus
Glossary
Send Feedback

Glossary Item Box

A | B | C | D | E | F | G | H | I | J | K | L | M | N | O | P | Q | R | S | T | U | V | W | X | Y | Z

D

DirectShow
The current standard for video handling on Windows. DirectShow was originally called ActiveMovie, and DirectShow has been a standard component of the set of modern, high-performance multimedia technologies called DirectX since version 8 of DirectX. However, DirectShow is not guaranteed to be on every machine, which is why VfW continues to be used for many tasks for which DirectShow is either too cumbersome or too rare to rely on.

F

Field
An image composed of either all the odd or all the even scanlines from a frame. Fields make little sense on computers with progressive display, but they are an artifact from the design of analog television. One subtle aspect of fields of which you should be aware is that when video is captured from an interleaved analog source, each field is captured at a different instant in time: this can result in the tearing or “comb” effect one sees sometimes when a scene with a lot of motion is paused on a progressive display. This also means that interleaving the fields back into a frame in the wrong order will result in an image with visible distortion of non-horizontal details.

Frame
A complete video image, similar to a frame of movie film.

I

Interleaved Display
Order in which two fields are combined to form a single image.

IYUV
A planar 4:1:1 YUV colorspace in which the pixel components are stored first as a plane of Y (luminance) and then as one plane each of U and V (chrominance components). I420/IYUV is identical to YV12 except that the U and V planes are swapped.

M

M-JPEG
Shorthand for Motion JPEG, a video standard in which each frame or field is stored in the video stream as a JPEG image.

P

Progressive Display
A frame in which an image is composed of a sequence of consecutive scanlines.

R

RGB Colorspace
A method of encoding the color of a pixel by using values for the red, green, and blue components of the pixel’s color. RGB data is almost always stored in a packed fashion; that is, the components for each pixel are adjacent in memory.

S

Scanline
A horizontal sequence of pixels, starting at one side of an image (usually the left) and continuing all the way to the other side of the image.

Subsampling
When converting to the YUV colorspace, one can take advantage of the observation that human vision is less sensitive to chrominance (color) changes than to luminance (brightness) changes. As a result, one can subsample (average, essentially) the chrominance values of adjacent pixels and store only the resultant value. Chrominance subsampling uses an odd notation consisting of three digits separated by colons, with the first number (almost) always being 4. The second digit is the horizontal chrominance subsampling factor, and the final digit is the vertical chrominance subsampling factor.

1:1:1 subsampling (also called 4:4:4 subsampling) is actually no subsampling: for each pixel, one luminance value and one chrominance value is stored.

4:2:2 subsampling is horizontal subsampling: for every two adjacent horizontal pixels, two luminance values are stored and one chrominance value (subsampled from the chrominance value of the two adjacent horizontal pixels) is stored.

4:1:1 subsampling is horizontal and vertical subsampling and a bit more complicated: for every square block of four pixels, four luminance values are stored and one chrominance value (subsampled from the chrominance values of all four pixels in the square block) is stored.

U

UYVY
A packed YUV colorspace in which the pixel components are stored in 4-byte macropixels. YUY2 is identical to UYVY except for the ordering of components inside the macropixel.

V

VfW
Video for Windows, the original standard for video handling on Windows. VfW has been officially replaced by DirectShow, but VfW continues to be used for many tasks for which DirectShow is either too cumbersome for or too rare to rely on. Also, VfW is supported on all Windows platforms while DirectShow is not guaranteed to be on a given machine.

Y

YUV Colorspace

A method of encoding the color of a pixel by using separate values for the brightness component (called luminance and notated Y) and the color component (called chrominance and represented as two color difference components, notated U and V). Some YUV colorspaces are packed (the components for each pixel are adjacent in memory) and some are planar (luminance for all the pixels is adjacent in one area of memory, chrominance for all the pixels is adjacent in another area of memory).

YUY2

A packed YUV colorspace in which the pixel components are stored in 4-byte macropixels. YUY2 is identical to UYVY except for the ordering of components inside the macropixel.

YV12

A planar YUV colorspace in which the pixel components are stored first as a plane of Y (luminance) and then as one plane each of V and U (chrominance components). YV12 is identical to I420/IYUV except that the U and V planes are swapped.


Empty Index Entry

Glossary Item Box

Empty Index Entry

The index entry you selected has no target topics associated with it.

If you have chosen a parent entry, please select a child entry.


Topic Not Found

Glossary Item Box

Topic Not Found

The link you just clicked was not able to connect to the target page.

Some possible reasons and remedies are as follows:

Reason | Remedy
Destination topic is not part of the area you specified in the Filtered by field. | Either select another filter or select (no filter).
The URL of the destination topic is incorrect or has changed. | Use the index or the search function instead.
Problems with the help installation. | Rerun Setup for the product this help is related to and select the 'Repair' option.

Additional help is available for filters, search, and the index.

Click Back to return to the page you were on.

The target parameters are:

Keyword:
Index Moniker:
URL:


a
about
after
against
all
along
also
although
am
among
an
and
are
as
at
be
became
because
been
being
between
but
by
can
caution
come
could
details
did
do
does
doing
done
during
each
early
far
finally
for
found
from
had
has
have
he
her
here
his
how
however
I
if
in
include
including
information
into
is
it
its
late
later
made
many
may
me
med
might
more
most
near
no
non
none
nor
not
note
of
off
on
only
or
other
over
saw
see
seen
several
she
since
so
some
such
than
that
the
their
them
then
there
these
they
this
those
through
tip
to
too
under
until
up
us
use
very
warning
was
we
were
when
where
which
while
who
with
you